variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "tag" {
  description = "The version of the websites to install"
  type        = string
  default     = "stable-alpine"
}

variable "websites" {
  description = "A list of websites to be deployed"
  type = map(object({
    domain_name    = string
    fqdn           = list(string)
    config         = optional(string, "")
    tls            = optional(bool, false)
    issuer         = optional(string, "internal-ca")
    custom_snippet = optional(string, "")
  }))
}

